//This is the collision file!


Info << "You have reached collision.H" << endl;
/*
vector v1 =  ; //particle velocity 
vector v2 =  ; //particle velocity 

vector p1 =  ; //particle position
vector p2 =  ; //particle position

vector omega1 = [0 0 0] ; //particle rotation, not solving for omega, yet
vector omega2 = [0 0 0] ; //particle rotation, not solving for omega, yet

scalar r1 =  ; //particle radius
scalar r2 =  ; //particle radius

scalar rho1 =  ; //particle density
scalar rho2 =  ; //particle density

scalar m1 = (4/3)*3.1415*r1*r1*r1*rho1 ; //particle mass
scalar m2 = (4/3)*3.1415*r2*r2*r2*rho2 ; //particle mass

scalar dt =  ;//time step length
scalar e =  ; //restituition coefficient


vector p1_next = p1 + dt * v1;//position at the next time step if the particle continues at the same velocity
vector p2_next = p2 + dt * v2;//position at the next time step if the particle continues at the same velocity

vector n1_dt = p2_next -p1_next;

vector n1 = p2 - p1; //relative position
vector n2 = p1 - p2; //relative position

scalar magN = mag(n1);
scalar magMov = mag(n1_dt - n1);

scalar alpha = ( r1 + r2 - magN )/ magMov ;

if ((alpha > 0) && (alpha < 1)) //collision occurs
  {
  vector vrel = v1 - v2;
  vector vct1 = vrel - (vrel & n1) & n1 + r1 * (omega1^n1) + r2 * (omega2^n2);
  vector vct2 = vrel - (vrel & n2) & n2 + r1 * (omega1^n1) + r2 * (omega2^n2);
  
  scalar m1 = (4/3)*3.1415*r1*r1*r1*rho1 ; //particle mass
  scalar m2 = (4/3)*3.1415*r2*r2*r2*rho2 ; //particle mass

  v1 = 
   v1- ((1+e)*(n1 & vrel) * n1 + (2/7)* abs(vct1)* vct1/abs(vct1))*(m2/(m1+m2));

  v2 =
   v2- ((1+e)*(n2 & vrel) * n2 + (2/7)* abs(vct1)* vct2/abs(vct1))*(m1/(m1+m2));

  //omega1 =
   //omega1 - ((5/7*r1)*abs(vct1)*(n1^(vct1/abs(vct1))*(m2/(m1+m2);
  //omega2 =
   //omega2 - ((5/7*r2)*abs(vct1)*(n2^(vct2/abs(vct1))*(m1/(m1+m2);
  } // endif
*/
